@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    list-style: none;
    scroll-behavior: smooth;
    text-decoration: none;
}

:root {
    --text-color: #f5f5f5;
    --hover-color: #12f7ff;
    --bg-color: #250821;
    --secon-bg-color: #292e33;
    --big-font: 2.5rem;
    --normal-font:2rem;
    --neon-box-shadow: 0 0 .5rem #12f7ff;
    --h2-font: 3rem;
    --font-neon-text-shadow: 0 0 10px rgba(18, 247, 255, 0.3),
        0 0 20px rgba(18, 247, 255, 0.3),
        0 0 30px rgba(18, 247, 255, 0.3),
        0 0 40px rgba(18, 247, 255, 0.3),
        0 0 70px rgba(18, 247, 255, 0.3),
        0 0 80px rgba(18, 247, 255, 0.3),
        0 0 100px rgba(18, 247, 255, 0.3),
        0 0 150px rgba(18, 247, 255, 0.3);
}
body {
    font-family: "Poppins", sans-serif;
    background-color: var(--bg-color);
    color: var(--text-color);
}
header {
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    z-index: 1000;
    border-bottom: 1px solid transparent;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    padding: 20px 10%;
}
header.sticky{
    background: var(--bg-color);
    border:1px solid var(--secon-bg-color) ;
    padding: 12px 10%;
}

.logo {
    font-size: 26px;
    font-weight: 700;
    letter-spacing: 1px;
}
span {
    color: var(--hover-color);
}
.navlist {
    display: flex;
}

.navlist a {
    color: var(--text-color);
    font-weight: 500;
    padding: 10px 20px;
}

.navlist a:hover {
    color: var(--hover-color);
    text-shadow: 0 0 10px rgba(18, 247, 255, 0.6),
        0 0 20px rgba(18, 247, 255, 0.6),
        0 0 30px rgba(18, 247, 255, 0.6),
        0 0 40px rgba(18, 247, 255, 0.6),
        0 0 70px rgba(18, 247, 255, 0.6),
        0 0 80px rgba(18, 247, 255, 0.6),
        0 0 100px rgba(18, 247, 255, 0.6),
        0 0 150px rgba(18, 247, 255, 0.6);
}
.navlist a.active{
    color:var(--hover-color);
}
#menu-icon{
    font-size: 1.8rem;
    z-index: 10001;
    cursor: pointer;
    margin-left: 25px;
    background: var(--hover-color);
    border-radius: 3px;
    color: var(--secon-bg-color);
    display: none;
}
section {
    padding: 100px 10%;
}
.home {
    min-height: 100vh;
    height: 100%;
    width: 100%;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    grid-gap: 4em;
}
.home-content {
    max-width: 600px;
}
.home-content h1 {
    font-size: var(--big-font);
    font-weight: 700;
}
.change-text {
    font-size: 1.5rem;
    font-weight:600;
}
.change-text h3{
    display: inline-flex;
    margin: 0;
    vertical-align: top;
}
.change-text h3 .word {
    position: absolute;
    display: flex;
    opacity: 0;
}
.change-text h3 .word .letter {
    transform-origin: center center 25px;
}
.change-text h3 .word .letter.out {
    transform: rotateX(90deg);
    transition: 0.32s cubic-bezier(0.6, 0, 0.7, 0.2);
}
.change-text h3 .word .letter.in {
    transition: 0.38s ease;
}

.change-text h3 .word .letter.behind {
    transform: rotateX(-90deg);
}
.home-content p{
    color: #bdbdbd;
    line-height: 1.6;
}
.info-box {
    display: inline-flex;
    justify-content: space-between;
    align-items: center;
    width: 300px;
    margin: 1rem 0 2rem;
}
.info-box h5 {
    font-weight: 600;
    color: var(--text-color);
    font-size: 1rem;
}
.info-box span {
    font-size: 0.9rem;
    color: #bdbdbd;
}
.btn-box {
    display: flex;
    justify-content: space-between;
    width: 320px;
    height: 45px;
}
.btn-box .btn {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width:auto;
    height: 100%;
    padding: 10px 20px;
    background: var(--hover-color);
    color: var(--bg-color);
    font-size: .9rem;
    letter-spacing: 1px;
    font-weight: 600;
    transition: 0.6s;
    box-shadow: var(--neon-box-shadow);
    border-radius: 5px;
    position: relative;
    overflow: hidden;
    z-index: 1;
    border: 2px solid var(--hover-color);
}
.btn:hover {
    color: var(--hover-color);
}

.btn::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    background: var(--bg-color);
    width: 0%;
    height: 100%;
    z-index: -1;
    transition: .4s;
}
.btn:hover::before{
    width: 100%;
}
.btn:nth-child(2) {
    background: var(--bg-color);
    color: var(--hover-color);
}
.btn:nth-child(2):hover {
    color: var(--bg-color);
}

.btn:nth-child(2)::before {
    background: var(--hover-color);
}
.social-icons {
    margin-top: 8rem;
    display: flex;
    justify-content: flex-start; 
    width: auto; 
    height: 40px;
}

.social-icons a {
    display: inline-flex;
    width: 50px;
    height: 100%;
    margin-right: 3px;
    justify-content: center;
    align-items: center;
    background: var(--bg-color);
    color: var(--hover-color);
    border: 2px solid var(--hover-color);
    transition: 0.6s;
    box-shadow: 0 0 0.3rem #12f7ff;
    border-radius: 5px;
    position: relative;
    z-index: 1;
    overflow: hidden;
}

.social-icons a i { 
    font-size: 1.5rem;
}

.social-icons a:hover {
    color: var(--bg-color);
}

.social-icons a::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 0; 
    height: 100%;
    background: var(--hover-color);
    transition: .6s;
    z-index: -1;
}

.social-icons a:hover::before {
    width: 100%;
}
.social-icons a:last-child {
    margin-right: 0;
}
.home-image {
    position: relative;
}

.img-box {
    text-align: center;
}

.img-box img {
    width: 100%;
    max-width: 250px;
    height: auto;
}
.home-image .img-box img {
    width: 100%; 
    border-radius: 6vh;
}
/*-------------------------------------------------------------------------Aout Section------------------------------------------------------------------------------------*/
.about{
    display: flex;
    justify-content: center;
    align-items: center;
    grid-gap: 2rem;
    background: var(--secon-bg-color);
}

.about .img-about{
    text-align: center;
    position: relative;
}
.about .img-about img{
    max-width: 400px;
    height: auto;
}
.about-content span{
    color: #fdfdfd;
    font-size: 0.8rem;
    font-weight: 200;
    letter-spacing: 2px;
    text-transform: uppercase;
}
.about-content h2{
    color: var(--hover-color);
    font-weight: 700;
    font-size: var(--normal-font);
    
}
.about-content h3{
    font-weight: 600;
    font-size: 1.5rem;
    margin-bottom: 0.2rem;
}

.about-content p{
    color: #fdfdfd;
    font-weight: 300;
    margin-bottom: 1.5rem;
}
/*----------------service section css--------------------------------------------*/
.main-text{
    width: 100%;
    text-align: center;
    margin-bottom: 2rem;
    color: var(--hover-color);
}
.main-text h2{
    font-size: 700;
    font-size: var(--normal-font);
}
.main-text span{
    color: #fdfdfd;
    font-size: .8rem;
    font-weight: 200;
    letter-spacing: 2px;
    text-transform: uppercase;
}
.section-services{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    grid-gap: 2rem;
}
.section-services .service-box{
    flex: 1 1 18rem;
    padding: 2rem 1rem 2rem;
    text-align: center;
    background: var(--secon-bg-color);
    transition: transform .4s;
    border-radius: 10px;
}
.service-btn{
    width: auto;
    justify-content: center;
}
.service-box:hover{
    transform: translateY(-.9rem);
}
.service-icon{
    border: 2px solid var(--hover-color);
    padding: 2rem;
    background: var(--bg-color);
    display: flex;
    align-items: center;
    font-size: 3rem;
    border-radius: 50%;
    position: relative;
    color: var(--hover-color);
    box-shadow: var(--neon-box-shadow);
    outline: 3px solid var(--bg-color);
}
.service-box h3{
    margin-top: 10px;
    font-size: 1.5rem;
}
.service-box p{
    margin: .5rem 0  1.5rem  0;
    font-weight: 300;
    letter-spacing: 1px;
    color: #bdbdbd;
    line-height: 1.6;
}
/*----------------------------------------------------------------------Skills section css---------------------------------------------------------------------------------*/

.skills{
    background: var(--secon-bg-color);
}
.skill-main{
    width: 100%;
    display: grid;
    grid-template-columns: repeat(2,1fr);
    grid-row-gap: 30px;
    grid-column-gap: 50px;
}
.skill-bar{
    margin-bottom: 2.3rem;
}
.skill-main h3{
    margin-bottom: 2rem;
    font-size: var(--normal-font);
    text-align: center;
}
.skill-left .skill-bar .info{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 10px;
}
.skill-left .skill-bar .bar{
    width: 100%;
    height: 10px;
    background-color: var(--bg-color);
    margin-top: 10px;
    position: relative;
}
.skill-bar .bar span{
    width: 50%;
    height: 100%;
    position: absolute;
    left: 0;
    background: var(--hover-color);
    border-radius: 25px;
    box-shadow: var(--neon-box-shadow);
}
.skill-bar .bar .html{
    width: 94%;
    animation: html 2s;
}
.skill-bar .bar .figma{
    width: 85%;
    animation: figma 3s;
}
.skill-bar .bar .css{
    width: 75%;
    animation: css 4s;
}
.skill-bar .bar .javascript{
    width: 54%;
    animation:javascript 5s;
}
.skill-bar .bar .python {
    width: 50%;
    animation: python 6s;
}
/*---------------Skill right----------------------------------*/
.professional {
    display: grid;
    grid-template-columns: 1fr 1fr;
}

.box {
    position: relative;
    margin: 10px 0;
    flex: 1 1 15rem;
}

.box .text {
    text-align: center;
    color: #fff;
    font-size: 1rem;
} 

.box .text big {
    font-weight: 400;
    letter-spacing: 1px;
    position: absolute;
    top: 40%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.box .text small {
    display: block;
    font-weight: 600;
}

.circle {
    width: 100%;
    height: 120px;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 2px solid #fff;
    position: relative;
}

.circle .points {
    width: 2px;
    height: 10px;
    background-color: var(--bg-color);
    position: absolute;
    border-radius: 3px;
    transform: rotate(calc(var(--i) * var(--rot))) translateY(-45px);
    animation: glow s linear forwards;
    animation-delay: calc(var(--i) * 0.05s);
}

.points.marked {
    animation: glow 0.04s linear forwards;
    animation-delay: calc(var(--i) * 0.05s);
    
}
/*---------------------------------------------------------------Portfolio ---------------------------------------------*/

.filter-buttons {
    margin: 2rem auto;
    text-align: center;
    display: flex;
    justify-content: center;
    gap: 0.3rem;
}

.filter-buttons .btn {
    background: none;
    outline: none;
    border: none;
    cursor: pointer;
    font-size: .85rem;
    font-weight: 600;
    letter-spacing: 0.4px;
    color: var(--text-color);
}



.Portfolio-gallery {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 2rem;
    margin-top: 50px;
}

.Port-box {
    position: relative;
    overflow: hidden;
    border-radius: 10px;
}

.Port-image {
    width: 100%;
    border-radius: 10px;
    overflow: hidden;
}

.Port-image img {
    width: 100%;
    border-radius: 10px;
    display: block;
    transition: transform 0.5s;
}

.layer {
    width: 100%;
    height: 0%;
    background: linear-gradient(rgba(0, 0, 0, 0.6), #1dc5c5);
    border-radius: 10px;
    position: absolute;
    left: 0;
    bottom: 0;
    overflow: hidden;
    display: flex;
    align-items: flex-end;
    justify-content: center;
    flex-direction: column;
    padding: 0 40px;
    text-align: center;
    font-size: 14px;
    transition: height 0.5s;
}

.layer h3 {
    font-weight: 500;
    margin-bottom: 20px;
}

.layer a {
    margin-top: 20px;
    color: #1dcfc6;
    text-decoration: none;
    font-size: 18px;
    line-height: 60px;
    background: #fff;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    text-align: center;
}

.Port-box:hover img {
    transform: scale(1.2);
}

.Port-box:hover .layer {
    height: 100%;
    align-items: center;
}


.btn {
    display: block;
    padding: 14px 50px;
    margin: 50px auto;
    width: fit-content;
    border: 1px solid #17b9b9;
    border-radius: 6px;
    text-decoration: none;
    color: #fff;
    transition: background 0.5s;
}

.btn:hover {
    background: #15caca;
}
/*---------------------------contact section css--------------------------------------------*/
.contact{
    background: var(--secon-bg-color);
    width: 100%;
}
.contact form{
    text-align: center;
    max-width: 50rem;
    margin: 1rem auto;
    margin-bottom: 3rem;
}
.contact form input,
.contact form textarea{
    width: 100%;
    color: var(--text-color);
    background: var(--bg-color);
    margin-bottom: .8rem;
    border: none;
    border-radius: 5px;
    padding: .7rem;
}
.contact form textarea{
    resize: none;
}
.formBtn {
    display: flex;
    justify-content: center;
    width: 100%;
}

.formBtn .btn {
    cursor: pointer;
    font-size: 1rem;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 150px;
    height: 100%;
    background: var(--hover-color);
    color: var(--bg-color);
    letter-spacing: 1px;
    font-weight: 600;
    transition: 0.6s;
    box-shadow: var(--neon-box-shadow);
    border-radius: 5px;
    position: relative;
    overflow: hidden;
    z-index: 1;
    border: 2px solid var(--hover-color);
}

.formBtn .btn:hover {
    color: var(--hover-color);
}

.formBtn .btn::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    background: var(--bg-color);
    width: 0%;
    height: 100%;
    z-index: -1;
    transition: .4s;
}

.formBtn .btn:hover::before {
    width: 100%;
}
/*------------------------footer css------------------------*/
footer {
    padding: 1.5rem 10%;
    display: flex;
    align-items: center;
    justify-content: center; 
    text-align: center; 
}
footer p {
    color: #bdbdbd;
    margin: 0; 
}





/*---------------------------------keyfroms---------------------------------------------*/






@keyframes html{
    0%{
        width: 0%;
    }
    100%{
        width: 94%;
    }
}
@keyframes figma{
    0%{
        width: 0%;
    }
    100%{
        width:85% ;
    }
}
@keyframes css{
    0%{
        width: 0%;
    }
    100%{
        width: 75%;
    }
}
@keyframes javascript{
    0%{
        width: 0%;
    }
    100%{
        width:54% ;
    }
}
@keyframes python{
    0%{
        width: 0%;
    }
    100%{
        width:50% ;
    }
}
@keyframes glow{
    0%{
        background: var(--bg-color);
        box-shadow: none;
    }
    100%{
        background: var(--hover-color);
        box-shadow: var(--neon-box-shadow);
    }
}




/*          --------------------Break Points-----------------------       */
@media only screen and (max-width: 1024px) {
   
    .skill-main {
        grid-template-columns: 1fr;
    }
    
   
    .home {
        grid-template-columns: 1fr;
    }

    .about {
        flex-direction: column;
    }

    .about .img-about {
        margin-bottom: 1rem;
    }

    .about-content {
        text-align: center;
    }

    .section-services {
        flex-direction: column;
    }

    .portfolio-gallery {
        grid-template-columns: 1fr 1fr;
    }

    .contact form {
        max-width: 90%;
    }
}

@media only screen and (max-width: 600px) {
    .home-image .img-box img {
       display: none;
    }
    .home {
        grid-template-columns: 1fr;
        padding: 20px;
        text-align: center;
    }
    .filter-buttons {
        display: none;
    }

    .home-content {
        max-width: 100%;
        margin: 0 auto;
    }

    .home-content h1 {
        font-size: 1.6rem;
    }

    .change-text {
        font-size: 1.1rem;
        text-align: left;
        margin: 0 auto; 
        padding: 0 14.5%; 
    }

    .home-image {
        margin-bottom: 2rem;
    }

    .home-image .img-box img {
        max-width: 200px;
    }

    header {
        padding: 12px 5%;
        position: relative;
    }
    .navlist {
        position: fixed;
        display: none; 
        position: absolute;
        top: 40px; 
        right:0;
        width: 100px;;
        background-color: #d40f0f; 
        padding: 10px 0;
        text-align: center;
    }

    .navlist.show {
        display: block; 
        right: 0;
    }

    .navlist li {
        display: block;
        margin: 10px 0;
    }

    #menu-icon {
        display: block; 
        cursor: pointer;
    }

    .bx-x {
        display: inline-block; 
    }

    header.sticky {
        position: fixed;
        top: 0;
        width: 100%;
        z-index: 1000;
    }

    .about {
        flex-direction: column;
    }

    .about .img-about img {
        max-width: 300px;
    }

    .about-content h2 {
        font-size: 1.5rem;
    }

    .about-content h3 {
        font-size: 1.2rem;
    }

    .about-content p {
        font-size: 0.9rem;
    }

    .skills {
        padding: 30px 5%;
    }

    .skill-main {
        grid-template-columns: 1fr;
    }

    .professional {
        grid-template-columns: 1fr;
    }

    .box {
        margin: 10px 0;
    }

    .box .text big {
        font-size: 0.9rem;
    }

    .circle {
        height: 100px;
    }

    .points {
        height: 8px;
    }

    .section-services .service-box {
        flex: 1 1 100%;
        max-width: 100%;
        padding: 1rem;
    }

    .service-icon {
        font-size: 2rem;
        padding: 1rem;
    }

    .service-box h3 {
        font-size: 1.2rem;
    }

    .service-box p {
        font-size: 0.9rem;
    }

    .portfolio-gallery {
        grid-template-columns: 1fr;
    }

    .Port-image img {
        width: 100%;
    }

    .layer {
        padding: 0 20px;
        font-size: 12px;
    }

    .contact form {
        max-width: 100%;
    }

    .contact form input,
    .contact form textarea {
        padding: 0.5rem;
    }
}
@media (min-width: 801px) {
    .cross-sign {
        display: none;
    }
}
@media (max-width:1024px) {
    .home-image .img-box img {
        display: none;
     }
    
}